var unicode = [
	'0',
	'1',
	'2',
	'3',
	'4',
	'5',
	'6',
	'7',
	'8',
	'9',
	'\xB2',
	'\xB3',
	'\xB9',
	'\xBC',
	'\xBD',
	'\xBE',
	'\u0660',
	'\u0661',
	'\u0662',
	'\u0663',
	'\u0664',
	'\u0665',
	'\u0666',
	'\u0667',
	'\u0668',
	'\u0669',
	'\u06F0',
	'\u06F1',
	'\u06F2',
	'\u06F3',
	'\u06F4',
	'\u06F5',
	'\u06F6',
	'\u06F7',
	'\u06F8',
	'\u06F9',
	'\u07C0',
	'\u07C1',
	'\u07C2',
	'\u07C3',
	'\u07C4',
	'\u07C5',
	'\u07C6',
	'\u07C7',
	'\u07C8',
	'\u07C9',
	'\u0966',
	'\u0967',
	'\u0968',
	'\u0969',
	'\u096A',
	'\u096B',
	'\u096C',
	'\u096D',
	'\u096E',
	'\u096F',
	'\u09E6',
	'\u09E7',
	'\u09E8',
	'\u09E9',
	'\u09EA',
	'\u09EB',
	'\u09EC',
	'\u09ED',
	'\u09EE',
	'\u09EF',
	'\u09F4',
	'\u09F5',
	'\u09F6',
	'\u09F7',
	'\u09F8',
	'\u09F9',
	'\u0A66',
	'\u0A67',
	'\u0A68',
	'\u0A69',
	'\u0A6A',
	'\u0A6B',
	'\u0A6C',
	'\u0A6D',
	'\u0A6E',
	'\u0A6F',
	'\u0AE6',
	'\u0AE7',
	'\u0AE8',
	'\u0AE9',
	'\u0AEA',
	'\u0AEB',
	'\u0AEC',
	'\u0AED',
	'\u0AEE',
	'\u0AEF',
	'\u0B66',
	'\u0B67',
	'\u0B68',
	'\u0B69',
	'\u0B6A',
	'\u0B6B',
	'\u0B6C',
	'\u0B6D',
	'\u0B6E',
	'\u0B6F',
	'\u0B72',
	'\u0B73',
	'\u0B74',
	'\u0B75',
	'\u0B76',
	'\u0B77',
	'\u0BE6',
	'\u0BE7',
	'\u0BE8',
	'\u0BE9',
	'\u0BEA',
	'\u0BEB',
	'\u0BEC',
	'\u0BED',
	'\u0BEE',
	'\u0BEF',
	'\u0BF0',
	'\u0BF1',
	'\u0BF2',
	'\u0C66',
	'\u0C67',
	'\u0C68',
	'\u0C69',
	'\u0C6A',
	'\u0C6B',
	'\u0C6C',
	'\u0C6D',
	'\u0C6E',
	'\u0C6F',
	'\u0C78',
	'\u0C79',
	'\u0C7A',
	'\u0C7B',
	'\u0C7C',
	'\u0C7D',
	'\u0C7E',
	'\u0CE6',
	'\u0CE7',
	'\u0CE8',
	'\u0CE9',
	'\u0CEA',
	'\u0CEB',
	'\u0CEC',
	'\u0CED',
	'\u0CEE',
	'\u0CEF',
	'\u0D66',
	'\u0D67',
	'\u0D68',
	'\u0D69',
	'\u0D6A',
	'\u0D6B',
	'\u0D6C',
	'\u0D6D',
	'\u0D6E',
	'\u0D6F',
	'\u0D70',
	'\u0D71',
	'\u0D72',
	'\u0D73',
	'\u0D74',
	'\u0D75',
	'\u0DE6',
	'\u0DE7',
	'\u0DE8',
	'\u0DE9',
	'\u0DEA',
	'\u0DEB',
	'\u0DEC',
	'\u0DED',
	'\u0DEE',
	'\u0DEF',
	'\u0E50',
	'\u0E51',
	'\u0E52',
	'\u0E53',
	'\u0E54',
	'\u0E55',
	'\u0E56',
	'\u0E57',
	'\u0E58',
	'\u0E59',
	'\u0ED0',
	'\u0ED1',
	'\u0ED2',
	'\u0ED3',
	'\u0ED4',
	'\u0ED5',
	'\u0ED6',
	'\u0ED7',
	'\u0ED8',
	'\u0ED9',
	'\u0F20',
	'\u0F21',
	'\u0F22',
	'\u0F23',
	'\u0F24',
	'\u0F25',
	'\u0F26',
	'\u0F27',
	'\u0F28',
	'\u0F29',
	'\u0F2A',
	'\u0F2B',
	'\u0F2C',
	'\u0F2D',
	'\u0F2E',
	'\u0F2F',
	'\u0F30',
	'\u0F31',
	'\u0F32',
	'\u0F33',
	'\u1040',
	'\u1041',
	'\u1042',
	'\u1043',
	'\u1044',
	'\u1045',
	'\u1046',
	'\u1047',
	'\u1048',
	'\u1049',
	'\u1090',
	'\u1091',
	'\u1092',
	'\u1093',
	'\u1094',
	'\u1095',
	'\u1096',
	'\u1097',
	'\u1098',
	'\u1099',
	'\u1369',
	'\u136A',
	'\u136B',
	'\u136C',
	'\u136D',
	'\u136E',
	'\u136F',
	'\u1370',
	'\u1371',
	'\u1372',
	'\u1373',
	'\u1374',
	'\u1375',
	'\u1376',
	'\u1377',
	'\u1378',
	'\u1379',
	'\u137A',
	'\u137B',
	'\u137C',
	'\u16EE',
	'\u16EF',
	'\u16F0',
	'\u17E0',
	'\u17E1',
	'\u17E2',
	'\u17E3',
	'\u17E4',
	'\u17E5',
	'\u17E6',
	'\u17E7',
	'\u17E8',
	'\u17E9',
	'\u17F0',
	'\u17F1',
	'\u17F2',
	'\u17F3',
	'\u17F4',
	'\u17F5',
	'\u17F6',
	'\u17F7',
	'\u17F8',
	'\u17F9',
	'\u1810',
	'\u1811',
	'\u1812',
	'\u1813',
	'\u1814',
	'\u1815',
	'\u1816',
	'\u1817',
	'\u1818',
	'\u1819',
	'\u1946',
	'\u1947',
	'\u1948',
	'\u1949',
	'\u194A',
	'\u194B',
	'\u194C',
	'\u194D',
	'\u194E',
	'\u194F',
	'\u19D0',
	'\u19D1',
	'\u19D2',
	'\u19D3',
	'\u19D4',
	'\u19D5',
	'\u19D6',
	'\u19D7',
	'\u19D8',
	'\u19D9',
	'\u19DA',
	'\u1A80',
	'\u1A81',
	'\u1A82',
	'\u1A83',
	'\u1A84',
	'\u1A85',
	'\u1A86',
	'\u1A87',
	'\u1A88',
	'\u1A89',
	'\u1A90',
	'\u1A91',
	'\u1A92',
	'\u1A93',
	'\u1A94',
	'\u1A95',
	'\u1A96',
	'\u1A97',
	'\u1A98',
	'\u1A99',
	'\u1B50',
	'\u1B51',
	'\u1B52',
	'\u1B53',
	'\u1B54',
	'\u1B55',
	'\u1B56',
	'\u1B57',
	'\u1B58',
	'\u1B59',
	'\u1BB0',
	'\u1BB1',
	'\u1BB2',
	'\u1BB3',
	'\u1BB4',
	'\u1BB5',
	'\u1BB6',
	'\u1BB7',
	'\u1BB8',
	'\u1BB9',
	'\u1C40',
	'\u1C41',
	'\u1C42',
	'\u1C43',
	'\u1C44',
	'\u1C45',
	'\u1C46',
	'\u1C47',
	'\u1C48',
	'\u1C49',
	'\u1C50',
	'\u1C51',
	'\u1C52',
	'\u1C53',
	'\u1C54',
	'\u1C55',
	'\u1C56',
	'\u1C57',
	'\u1C58',
	'\u1C59',
	'\u2070',
	'\u2074',
	'\u2075',
	'\u2076',
	'\u2077',
	'\u2078',
	'\u2079',
	'\u2080',
	'\u2081',
	'\u2082',
	'\u2083',
	'\u2084',
	'\u2085',
	'\u2086',
	'\u2087',
	'\u2088',
	'\u2089',
	'\u2150',
	'\u2151',
	'\u2152',
	'\u2153',
	'\u2154',
	'\u2155',
	'\u2156',
	'\u2157',
	'\u2158',
	'\u2159',
	'\u215A',
	'\u215B',
	'\u215C',
	'\u215D',
	'\u215E',
	'\u215F',
	'\u2160',
	'\u2161',
	'\u2162',
	'\u2163',
	'\u2164',
	'\u2165',
	'\u2166',
	'\u2167',
	'\u2168',
	'\u2169',
	'\u216A',
	'\u216B',
	'\u216C',
	'\u216D',
	'\u216E',
	'\u216F',
	'\u2170',
	'\u2171',
	'\u2172',
	'\u2173',
	'\u2174',
	'\u2175',
	'\u2176',
	'\u2177',
	'\u2178',
	'\u2179',
	'\u217A',
	'\u217B',
	'\u217C',
	'\u217D',
	'\u217E',
	'\u217F',
	'\u2180',
	'\u2181',
	'\u2182',
	'\u2185',
	'\u2186',
	'\u2187',
	'\u2188',
	'\u2189',
	'\u2460',
	'\u2461',
	'\u2462',
	'\u2463',
	'\u2464',
	'\u2465',
	'\u2466',
	'\u2467',
	'\u2468',
	'\u2469',
	'\u246A',
	'\u246B',
	'\u246C',
	'\u246D',
	'\u246E',
	'\u246F',
	'\u2470',
	'\u2471',
	'\u2472',
	'\u2473',
	'\u2474',
	'\u2475',
	'\u2476',
	'\u2477',
	'\u2478',
	'\u2479',
	'\u247A',
	'\u247B',
	'\u247C',
	'\u247D',
	'\u247E',
	'\u247F',
	'\u2480',
	'\u2481',
	'\u2482',
	'\u2483',
	'\u2484',
	'\u2485',
	'\u2486',
	'\u2487',
	'\u2488',
	'\u2489',
	'\u248A',
	'\u248B',
	'\u248C',
	'\u248D',
	'\u248E',
	'\u248F',
	'\u2490',
	'\u2491',
	'\u2492',
	'\u2493',
	'\u2494',
	'\u2495',
	'\u2496',
	'\u2497',
	'\u2498',
	'\u2499',
	'\u249A',
	'\u249B',
	'\u24EA',
	'\u24EB',
	'\u24EC',
	'\u24ED',
	'\u24EE',
	'\u24EF',
	'\u24F0',
	'\u24F1',
	'\u24F2',
	'\u24F3',
	'\u24F4',
	'\u24F5',
	'\u24F6',
	'\u24F7',
	'\u24F8',
	'\u24F9',
	'\u24FA',
	'\u24FB',
	'\u24FC',
	'\u24FD',
	'\u24FE',
	'\u24FF',
	'\u2776',
	'\u2777',
	'\u2778',
	'\u2779',
	'\u277A',
	'\u277B',
	'\u277C',
	'\u277D',
	'\u277E',
	'\u277F',
	'\u2780',
	'\u2781',
	'\u2782',
	'\u2783',
	'\u2784',
	'\u2785',
	'\u2786',
	'\u2787',
	'\u2788',
	'\u2789',
	'\u278A',
	'\u278B',
	'\u278C',
	'\u278D',
	'\u278E',
	'\u278F',
	'\u2790',
	'\u2791',
	'\u2792',
	'\u2793',
	'\u2CFD',
	'\u3007',
	'\u3021',
	'\u3022',
	'\u3023',
	'\u3024',
	'\u3025',
	'\u3026',
	'\u3027',
	'\u3028',
	'\u3029',
	'\u3038',
	'\u3039',
	'\u303A',
	'\u3192',
	'\u3193',
	'\u3194',
	'\u3195',
	'\u3220',
	'\u3221',
	'\u3222',
	'\u3223',
	'\u3224',
	'\u3225',
	'\u3226',
	'\u3227',
	'\u3228',
	'\u3229',
	'\u3248',
	'\u3249',
	'\u324A',
	'\u324B',
	'\u324C',
	'\u324D',
	'\u324E',
	'\u324F',
	'\u3251',
	'\u3252',
	'\u3253',
	'\u3254',
	'\u3255',
	'\u3256',
	'\u3257',
	'\u3258',
	'\u3259',
	'\u325A',
	'\u325B',
	'\u325C',
	'\u325D',
	'\u325E',
	'\u325F',
	'\u3280',
	'\u3281',
	'\u3282',
	'\u3283',
	'\u3284',
	'\u3285',
	'\u3286',
	'\u3287',
	'\u3288',
	'\u3289',
	'\u32B1',
	'\u32B2',
	'\u32B3',
	'\u32B4',
	'\u32B5',
	'\u32B6',
	'\u32B7',
	'\u32B8',
	'\u32B9',
	'\u32BA',
	'\u32BB',
	'\u32BC',
	'\u32BD',
	'\u32BE',
	'\u32BF',
	'\uA620',
	'\uA621',
	'\uA622',
	'\uA623',
	'\uA624',
	'\uA625',
	'\uA626',
	'\uA627',
	'\uA628',
	'\uA629',
	'\uA6E6',
	'\uA6E7',
	'\uA6E8',
	'\uA6E9',
	'\uA6EA',
	'\uA6EB',
	'\uA6EC',
	'\uA6ED',
	'\uA6EE',
	'\uA6EF',
	'\uA830',
	'\uA831',
	'\uA832',
	'\uA833',
	'\uA834',
	'\uA835',
	'\uA8D0',
	'\uA8D1',
	'\uA8D2',
	'\uA8D3',
	'\uA8D4',
	'\uA8D5',
	'\uA8D6',
	'\uA8D7',
	'\uA8D8',
	'\uA8D9',
	'\uA900',
	'\uA901',
	'\uA902',
	'\uA903',
	'\uA904',
	'\uA905',
	'\uA906',
	'\uA907',
	'\uA908',
	'\uA909',
	'\uA9D0',
	'\uA9D1',
	'\uA9D2',
	'\uA9D3',
	'\uA9D4',
	'\uA9D5',
	'\uA9D6',
	'\uA9D7',
	'\uA9D8',
	'\uA9D9',
	'\uA9F0',
	'\uA9F1',
	'\uA9F2',
	'\uA9F3',
	'\uA9F4',
	'\uA9F5',
	'\uA9F6',
	'\uA9F7',
	'\uA9F8',
	'\uA9F9',
	'\uAA50',
	'\uAA51',
	'\uAA52',
	'\uAA53',
	'\uAA54',
	'\uAA55',
	'\uAA56',
	'\uAA57',
	'\uAA58',
	'\uAA59',
	'\uABF0',
	'\uABF1',
	'\uABF2',
	'\uABF3',
	'\uABF4',
	'\uABF5',
	'\uABF6',
	'\uABF7',
	'\uABF8',
	'\uABF9',
	'\uFF10',
	'\uFF11',
	'\uFF12',
	'\uFF13',
	'\uFF14',
	'\uFF15',
	'\uFF16',
	'\uFF17',
	'\uFF18',
	'\uFF19',
	'\uD800\uDD07',
	'\uD800\uDD08',
	'\uD800\uDD09',
	'\uD800\uDD0A',
	'\uD800\uDD0B',
	'\uD800\uDD0C',
	'\uD800\uDD0D',
	'\uD800\uDD0E',
	'\uD800\uDD0F',
	'\uD800\uDD10',
	'\uD800\uDD11',
	'\uD800\uDD12',
	'\uD800\uDD13',
	'\uD800\uDD14',
	'\uD800\uDD15',
	'\uD800\uDD16',
	'\uD800\uDD17',
	'\uD800\uDD18',
	'\uD800\uDD19',
	'\uD800\uDD1A',
	'\uD800\uDD1B',
	'\uD800\uDD1C',
	'\uD800\uDD1D',
	'\uD800\uDD1E',
	'\uD800\uDD1F',
	'\uD800\uDD20',
	'\uD800\uDD21',
	'\uD800\uDD22',
	'\uD800\uDD23',
	'\uD800\uDD24',
	'\uD800\uDD25',
	'\uD800\uDD26',
	'\uD800\uDD27',
	'\uD800\uDD28',
	'\uD800\uDD29',
	'\uD800\uDD2A',
	'\uD800\uDD2B',
	'\uD800\uDD2C',
	'\uD800\uDD2D',
	'\uD800\uDD2E',
	'\uD800\uDD2F',
	'\uD800\uDD30',
	'\uD800\uDD31',
	'\uD800\uDD32',
	'\uD800\uDD33',
	'\uD800\uDD40',
	'\uD800\uDD41',
	'\uD800\uDD42',
	'\uD800\uDD43',
	'\uD800\uDD44',
	'\uD800\uDD45',
	'\uD800\uDD46',
	'\uD800\uDD47',
	'\uD800\uDD48',
	'\uD800\uDD49',
	'\uD800\uDD4A',
	'\uD800\uDD4B',
	'\uD800\uDD4C',
	'\uD800\uDD4D',
	'\uD800\uDD4E',
	'\uD800\uDD4F',
	'\uD800\uDD50',
	'\uD800\uDD51',
	'\uD800\uDD52',
	'\uD800\uDD53',
	'\uD800\uDD54',
	'\uD800\uDD55',
	'\uD800\uDD56',
	'\uD800\uDD57',
	'\uD800\uDD58',
	'\uD800\uDD59',
	'\uD800\uDD5A',
	'\uD800\uDD5B',
	'\uD800\uDD5C',
	'\uD800\uDD5D',
	'\uD800\uDD5E',
	'\uD800\uDD5F',
	'\uD800\uDD60',
	'\uD800\uDD61',
	'\uD800\uDD62',
	'\uD800\uDD63',
	'\uD800\uDD64',
	'\uD800\uDD65',
	'\uD800\uDD66',
	'\uD800\uDD67',
	'\uD800\uDD68',
	'\uD800\uDD69',
	'\uD800\uDD6A',
	'\uD800\uDD6B',
	'\uD800\uDD6C',
	'\uD800\uDD6D',
	'\uD800\uDD6E',
	'\uD800\uDD6F',
	'\uD800\uDD70',
	'\uD800\uDD71',
	'\uD800\uDD72',
	'\uD800\uDD73',
	'\uD800\uDD74',
	'\uD800\uDD75',
	'\uD800\uDD76',
	'\uD800\uDD77',
	'\uD800\uDD78',
	'\uD800\uDD8A',
	'\uD800\uDD8B',
	'\uD800\uDEE1',
	'\uD800\uDEE2',
	'\uD800\uDEE3',
	'\uD800\uDEE4',
	'\uD800\uDEE5',
	'\uD800\uDEE6',
	'\uD800\uDEE7',
	'\uD800\uDEE8',
	'\uD800\uDEE9',
	'\uD800\uDEEA',
	'\uD800\uDEEB',
	'\uD800\uDEEC',
	'\uD800\uDEED',
	'\uD800\uDEEE',
	'\uD800\uDEEF',
	'\uD800\uDEF0',
	'\uD800\uDEF1',
	'\uD800\uDEF2',
	'\uD800\uDEF3',
	'\uD800\uDEF4',
	'\uD800\uDEF5',
	'\uD800\uDEF6',
	'\uD800\uDEF7',
	'\uD800\uDEF8',
	'\uD800\uDEF9',
	'\uD800\uDEFA',
	'\uD800\uDEFB',
	'\uD800\uDF20',
	'\uD800\uDF21',
	'\uD800\uDF22',
	'\uD800\uDF23',
	'\uD800\uDF41',
	'\uD800\uDF4A',
	'\uD800\uDFD1',
	'\uD800\uDFD2',
	'\uD800\uDFD3',
	'\uD800\uDFD4',
	'\uD800\uDFD5',
	'\uD801\uDCA0',
	'\uD801\uDCA1',
	'\uD801\uDCA2',
	'\uD801\uDCA3',
	'\uD801\uDCA4',
	'\uD801\uDCA5',
	'\uD801\uDCA6',
	'\uD801\uDCA7',
	'\uD801\uDCA8',
	'\uD801\uDCA9',
	'\uD802\uDC58',
	'\uD802\uDC59',
	'\uD802\uDC5A',
	'\uD802\uDC5B',
	'\uD802\uDC5C',
	'\uD802\uDC5D',
	'\uD802\uDC5E',
	'\uD802\uDC5F',
	'\uD802\uDC79',
	'\uD802\uDC7A',
	'\uD802\uDC7B',
	'\uD802\uDC7C',
	'\uD802\uDC7D',
	'\uD802\uDC7E',
	'\uD802\uDC7F',
	'\uD802\uDCA7',
	'\uD802\uDCA8',
	'\uD802\uDCA9',
	'\uD802\uDCAA',
	'\uD802\uDCAB',
	'\uD802\uDCAC',
	'\uD802\uDCAD',
	'\uD802\uDCAE',
	'\uD802\uDCAF',
	'\uD802\uDCFB',
	'\uD802\uDCFC',
	'\uD802\uDCFD',
	'\uD802\uDCFE',
	'\uD802\uDCFF',
	'\uD802\uDD16',
	'\uD802\uDD17',
	'\uD802\uDD18',
	'\uD802\uDD19',
	'\uD802\uDD1A',
	'\uD802\uDD1B',
	'\uD802\uDDBC',
	'\uD802\uDDBD',
	'\uD802\uDDC0',
	'\uD802\uDDC1',
	'\uD802\uDDC2',
	'\uD802\uDDC3',
	'\uD802\uDDC4',
	'\uD802\uDDC5',
	'\uD802\uDDC6',
	'\uD802\uDDC7',
	'\uD802\uDDC8',
	'\uD802\uDDC9',
	'\uD802\uDDCA',
	'\uD802\uDDCB',
	'\uD802\uDDCC',
	'\uD802\uDDCD',
	'\uD802\uDDCE',
	'\uD802\uDDCF',
	'\uD802\uDDD2',
	'\uD802\uDDD3',
	'\uD802\uDDD4',
	'\uD802\uDDD5',
	'\uD802\uDDD6',
	'\uD802\uDDD7',
	'\uD802\uDDD8',
	'\uD802\uDDD9',
	'\uD802\uDDDA',
	'\uD802\uDDDB',
	'\uD802\uDDDC',
	'\uD802\uDDDD',
	'\uD802\uDDDE',
	'\uD802\uDDDF',
	'\uD802\uDDE0',
	'\uD802\uDDE1',
	'\uD802\uDDE2',
	'\uD802\uDDE3',
	'\uD802\uDDE4',
	'\uD802\uDDE5',
	'\uD802\uDDE6',
	'\uD802\uDDE7',
	'\uD802\uDDE8',
	'\uD802\uDDE9',
	'\uD802\uDDEA',
	'\uD802\uDDEB',
	'\uD802\uDDEC',
	'\uD802\uDDED',
	'\uD802\uDDEE',
	'\uD802\uDDEF',
	'\uD802\uDDF0',
	'\uD802\uDDF1',
	'\uD802\uDDF2',
	'\uD802\uDDF3',
	'\uD802\uDDF4',
	'\uD802\uDDF5',
	'\uD802\uDDF6',
	'\uD802\uDDF7',
	'\uD802\uDDF8',
	'\uD802\uDDF9',
	'\uD802\uDDFA',
	'\uD802\uDDFB',
	'\uD802\uDDFC',
	'\uD802\uDDFD',
	'\uD802\uDDFE',
	'\uD802\uDDFF',
	'\uD802\uDE40',
	'\uD802\uDE41',
	'\uD802\uDE42',
	'\uD802\uDE43',
	'\uD802\uDE44',
	'\uD802\uDE45',
	'\uD802\uDE46',
	'\uD802\uDE47',
	'\uD802\uDE7D',
	'\uD802\uDE7E',
	'\uD802\uDE9D',
	'\uD802\uDE9E',
	'\uD802\uDE9F',
	'\uD802\uDEEB',
	'\uD802\uDEEC',
	'\uD802\uDEED',
	'\uD802\uDEEE',
	'\uD802\uDEEF',
	'\uD802\uDF58',
	'\uD802\uDF59',
	'\uD802\uDF5A',
	'\uD802\uDF5B',
	'\uD802\uDF5C',
	'\uD802\uDF5D',
	'\uD802\uDF5E',
	'\uD802\uDF5F',
	'\uD802\uDF78',
	'\uD802\uDF79',
	'\uD802\uDF7A',
	'\uD802\uDF7B',
	'\uD802\uDF7C',
	'\uD802\uDF7D',
	'\uD802\uDF7E',
	'\uD802\uDF7F',
	'\uD802\uDFA9',
	'\uD802\uDFAA',
	'\uD802\uDFAB',
	'\uD802\uDFAC',
	'\uD802\uDFAD',
	'\uD802\uDFAE',
	'\uD802\uDFAF',
	'\uD803\uDCFA',
	'\uD803\uDCFB',
	'\uD803\uDCFC',
	'\uD803\uDCFD',
	'\uD803\uDCFE',
	'\uD803\uDCFF',
	'\uD803\uDE60',
	'\uD803\uDE61',
	'\uD803\uDE62',
	'\uD803\uDE63',
	'\uD803\uDE64',
	'\uD803\uDE65',
	'\uD803\uDE66',
	'\uD803\uDE67',
	'\uD803\uDE68',
	'\uD803\uDE69',
	'\uD803\uDE6A',
	'\uD803\uDE6B',
	'\uD803\uDE6C',
	'\uD803\uDE6D',
	'\uD803\uDE6E',
	'\uD803\uDE6F',
	'\uD803\uDE70',
	'\uD803\uDE71',
	'\uD803\uDE72',
	'\uD803\uDE73',
	'\uD803\uDE74',
	'\uD803\uDE75',
	'\uD803\uDE76',
	'\uD803\uDE77',
	'\uD803\uDE78',
	'\uD803\uDE79',
	'\uD803\uDE7A',
	'\uD803\uDE7B',
	'\uD803\uDE7C',
	'\uD803\uDE7D',
	'\uD803\uDE7E',
	'\uD804\uDC52',
	'\uD804\uDC53',
	'\uD804\uDC54',
	'\uD804\uDC55',
	'\uD804\uDC56',
	'\uD804\uDC57',
	'\uD804\uDC58',
	'\uD804\uDC59',
	'\uD804\uDC5A',
	'\uD804\uDC5B',
	'\uD804\uDC5C',
	'\uD804\uDC5D',
	'\uD804\uDC5E',
	'\uD804\uDC5F',
	'\uD804\uDC60',
	'\uD804\uDC61',
	'\uD804\uDC62',
	'\uD804\uDC63',
	'\uD804\uDC64',
	'\uD804\uDC65',
	'\uD804\uDC66',
	'\uD804\uDC67',
	'\uD804\uDC68',
	'\uD804\uDC69',
	'\uD804\uDC6A',
	'\uD804\uDC6B',
	'\uD804\uDC6C',
	'\uD804\uDC6D',
	'\uD804\uDC6E',
	'\uD804\uDC6F',
	'\uD804\uDCF0',
	'\uD804\uDCF1',
	'\uD804\uDCF2',
	'\uD804\uDCF3',
	'\uD804\uDCF4',
	'\uD804\uDCF5',
	'\uD804\uDCF6',
	'\uD804\uDCF7',
	'\uD804\uDCF8',
	'\uD804\uDCF9',
	'\uD804\uDD36',
	'\uD804\uDD37',
	'\uD804\uDD38',
	'\uD804\uDD39',
	'\uD804\uDD3A',
	'\uD804\uDD3B',
	'\uD804\uDD3C',
	'\uD804\uDD3D',
	'\uD804\uDD3E',
	'\uD804\uDD3F',
	'\uD804\uDDD0',
	'\uD804\uDDD1',
	'\uD804\uDDD2',
	'\uD804\uDDD3',
	'\uD804\uDDD4',
	'\uD804\uDDD5',
	'\uD804\uDDD6',
	'\uD804\uDDD7',
	'\uD804\uDDD8',
	'\uD804\uDDD9',
	'\uD804\uDDE1',
	'\uD804\uDDE2',
	'\uD804\uDDE3',
	'\uD804\uDDE4',
	'\uD804\uDDE5',
	'\uD804\uDDE6',
	'\uD804\uDDE7',
	'\uD804\uDDE8',
	'\uD804\uDDE9',
	'\uD804\uDDEA',
	'\uD804\uDDEB',
	'\uD804\uDDEC',
	'\uD804\uDDED',
	'\uD804\uDDEE',
	'\uD804\uDDEF',
	'\uD804\uDDF0',
	'\uD804\uDDF1',
	'\uD804\uDDF2',
	'\uD804\uDDF3',
	'\uD804\uDDF4',
	'\uD804\uDEF0',
	'\uD804\uDEF1',
	'\uD804\uDEF2',
	'\uD804\uDEF3',
	'\uD804\uDEF4',
	'\uD804\uDEF5',
	'\uD804\uDEF6',
	'\uD804\uDEF7',
	'\uD804\uDEF8',
	'\uD804\uDEF9',
	'\uD805\uDCD0',
	'\uD805\uDCD1',
	'\uD805\uDCD2',
	'\uD805\uDCD3',
	'\uD805\uDCD4',
	'\uD805\uDCD5',
	'\uD805\uDCD6',
	'\uD805\uDCD7',
	'\uD805\uDCD8',
	'\uD805\uDCD9',
	'\uD805\uDE50',
	'\uD805\uDE51',
	'\uD805\uDE52',
	'\uD805\uDE53',
	'\uD805\uDE54',
	'\uD805\uDE55',
	'\uD805\uDE56',
	'\uD805\uDE57',
	'\uD805\uDE58',
	'\uD805\uDE59',
	'\uD805\uDEC0',
	'\uD805\uDEC1',
	'\uD805\uDEC2',
	'\uD805\uDEC3',
	'\uD805\uDEC4',
	'\uD805\uDEC5',
	'\uD805\uDEC6',
	'\uD805\uDEC7',
	'\uD805\uDEC8',
	'\uD805\uDEC9',
	'\uD805\uDF30',
	'\uD805\uDF31',
	'\uD805\uDF32',
	'\uD805\uDF33',
	'\uD805\uDF34',
	'\uD805\uDF35',
	'\uD805\uDF36',
	'\uD805\uDF37',
	'\uD805\uDF38',
	'\uD805\uDF39',
	'\uD805\uDF3A',
	'\uD805\uDF3B',
	'\uD806\uDCE0',
	'\uD806\uDCE1',
	'\uD806\uDCE2',
	'\uD806\uDCE3',
	'\uD806\uDCE4',
	'\uD806\uDCE5',
	'\uD806\uDCE6',
	'\uD806\uDCE7',
	'\uD806\uDCE8',
	'\uD806\uDCE9',
	'\uD806\uDCEA',
	'\uD806\uDCEB',
	'\uD806\uDCEC',
	'\uD806\uDCED',
	'\uD806\uDCEE',
	'\uD806\uDCEF',
	'\uD806\uDCF0',
	'\uD806\uDCF1',
	'\uD806\uDCF2',
	'\uD809\uDC00',
	'\uD809\uDC01',
	'\uD809\uDC02',
	'\uD809\uDC03',
	'\uD809\uDC04',
	'\uD809\uDC05',
	'\uD809\uDC06',
	'\uD809\uDC07',
	'\uD809\uDC08',
	'\uD809\uDC09',
	'\uD809\uDC0A',
	'\uD809\uDC0B',
	'\uD809\uDC0C',
	'\uD809\uDC0D',
	'\uD809\uDC0E',
	'\uD809\uDC0F',
	'\uD809\uDC10',
	'\uD809\uDC11',
	'\uD809\uDC12',
	'\uD809\uDC13',
	'\uD809\uDC14',
	'\uD809\uDC15',
	'\uD809\uDC16',
	'\uD809\uDC17',
	'\uD809\uDC18',
	'\uD809\uDC19',
	'\uD809\uDC1A',
	'\uD809\uDC1B',
	'\uD809\uDC1C',
	'\uD809\uDC1D',
	'\uD809\uDC1E',
	'\uD809\uDC1F',
	'\uD809\uDC20',
	'\uD809\uDC21',
	'\uD809\uDC22',
	'\uD809\uDC23',
	'\uD809\uDC24',
	'\uD809\uDC25',
	'\uD809\uDC26',
	'\uD809\uDC27',
	'\uD809\uDC28',
	'\uD809\uDC29',
	'\uD809\uDC2A',
	'\uD809\uDC2B',
	'\uD809\uDC2C',
	'\uD809\uDC2D',
	'\uD809\uDC2E',
	'\uD809\uDC2F',
	'\uD809\uDC30',
	'\uD809\uDC31',
	'\uD809\uDC32',
	'\uD809\uDC33',
	'\uD809\uDC34',
	'\uD809\uDC35',
	'\uD809\uDC36',
	'\uD809\uDC37',
	'\uD809\uDC38',
	'\uD809\uDC39',
	'\uD809\uDC3A',
	'\uD809\uDC3B',
	'\uD809\uDC3C',
	'\uD809\uDC3D',
	'\uD809\uDC3E',
	'\uD809\uDC3F',
	'\uD809\uDC40',
	'\uD809\uDC41',
	'\uD809\uDC42',
	'\uD809\uDC43',
	'\uD809\uDC44',
	'\uD809\uDC45',
	'\uD809\uDC46',
	'\uD809\uDC47',
	'\uD809\uDC48',
	'\uD809\uDC49',
	'\uD809\uDC4A',
	'\uD809\uDC4B',
	'\uD809\uDC4C',
	'\uD809\uDC4D',
	'\uD809\uDC4E',
	'\uD809\uDC4F',
	'\uD809\uDC50',
	'\uD809\uDC51',
	'\uD809\uDC52',
	'\uD809\uDC53',
	'\uD809\uDC54',
	'\uD809\uDC55',
	'\uD809\uDC56',
	'\uD809\uDC57',
	'\uD809\uDC58',
	'\uD809\uDC59',
	'\uD809\uDC5A',
	'\uD809\uDC5B',
	'\uD809\uDC5C',
	'\uD809\uDC5D',
	'\uD809\uDC5E',
	'\uD809\uDC5F',
	'\uD809\uDC60',
	'\uD809\uDC61',
	'\uD809\uDC62',
	'\uD809\uDC63',
	'\uD809\uDC64',
	'\uD809\uDC65',
	'\uD809\uDC66',
	'\uD809\uDC67',
	'\uD809\uDC68',
	'\uD809\uDC69',
	'\uD809\uDC6A',
	'\uD809\uDC6B',
	'\uD809\uDC6C',
	'\uD809\uDC6D',
	'\uD809\uDC6E',
	'\uD81A\uDE60',
	'\uD81A\uDE61',
	'\uD81A\uDE62',
	'\uD81A\uDE63',
	'\uD81A\uDE64',
	'\uD81A\uDE65',
	'\uD81A\uDE66',
	'\uD81A\uDE67',
	'\uD81A\uDE68',
	'\uD81A\uDE69',
	'\uD81A\uDF50',
	'\uD81A\uDF51',
	'\uD81A\uDF52',
	'\uD81A\uDF53',
	'\uD81A\uDF54',
	'\uD81A\uDF55',
	'\uD81A\uDF56',
	'\uD81A\uDF57',
	'\uD81A\uDF58',
	'\uD81A\uDF59',
	'\uD81A\uDF5B',
	'\uD81A\uDF5C',
	'\uD81A\uDF5D',
	'\uD81A\uDF5E',
	'\uD81A\uDF5F',
	'\uD81A\uDF60',
	'\uD81A\uDF61',
	'\uD834\uDF60',
	'\uD834\uDF61',
	'\uD834\uDF62',
	'\uD834\uDF63',
	'\uD834\uDF64',
	'\uD834\uDF65',
	'\uD834\uDF66',
	'\uD834\uDF67',
	'\uD834\uDF68',
	'\uD834\uDF69',
	'\uD834\uDF6A',
	'\uD834\uDF6B',
	'\uD834\uDF6C',
	'\uD834\uDF6D',
	'\uD834\uDF6E',
	'\uD834\uDF6F',
	'\uD834\uDF70',
	'\uD834\uDF71',
	'\uD835\uDFCE',
	'\uD835\uDFCF',
	'\uD835\uDFD0',
	'\uD835\uDFD1',
	'\uD835\uDFD2',
	'\uD835\uDFD3',
	'\uD835\uDFD4',
	'\uD835\uDFD5',
	'\uD835\uDFD6',
	'\uD835\uDFD7',
	'\uD835\uDFD8',
	'\uD835\uDFD9',
	'\uD835\uDFDA',
	'\uD835\uDFDB',
	'\uD835\uDFDC',
	'\uD835\uDFDD',
	'\uD835\uDFDE',
	'\uD835\uDFDF',
	'\uD835\uDFE0',
	'\uD835\uDFE1',
	'\uD835\uDFE2',
	'\uD835\uDFE3',
	'\uD835\uDFE4',
	'\uD835\uDFE5',
	'\uD835\uDFE6',
	'\uD835\uDFE7',
	'\uD835\uDFE8',
	'\uD835\uDFE9',
	'\uD835\uDFEA',
	'\uD835\uDFEB',
	'\uD835\uDFEC',
	'\uD835\uDFED',
	'\uD835\uDFEE',
	'\uD835\uDFEF',
	'\uD835\uDFF0',
	'\uD835\uDFF1',
	'\uD835\uDFF2',
	'\uD835\uDFF3',
	'\uD835\uDFF4',
	'\uD835\uDFF5',
	'\uD835\uDFF6',
	'\uD835\uDFF7',
	'\uD835\uDFF8',
	'\uD835\uDFF9',
	'\uD835\uDFFA',
	'\uD835\uDFFB',
	'\uD835\uDFFC',
	'\uD835\uDFFD',
	'\uD835\uDFFE',
	'\uD835\uDFFF',
	'\uD83A\uDCC7',
	'\uD83A\uDCC8',
	'\uD83A\uDCC9',
	'\uD83A\uDCCA',
	'\uD83A\uDCCB',
	'\uD83A\uDCCC',
	'\uD83A\uDCCD',
	'\uD83A\uDCCE',
	'\uD83A\uDCCF',
	'\uD83C\uDD00',
	'\uD83C\uDD01',
	'\uD83C\uDD02',
	'\uD83C\uDD03',
	'\uD83C\uDD04',
	'\uD83C\uDD05',
	'\uD83C\uDD06',
	'\uD83C\uDD07',
	'\uD83C\uDD08',
	'\uD83C\uDD09',
	'\uD83C\uDD0A',
	'\uD83C\uDD0B',
	'\uD83C\uDD0C'
];if(typeof module !== 'undefined') module.exports = unicode;